Iddawc: _i_session Struct Reference

Iddawc Handle the flow of OAuth2 and OpenID Connect authentication process from the client side.

Data Fields
_i_session Struct Reference
struct _i_session definition

`#include <iddawc.h>`

## Data Fields
uint | response_type
char * | scope
char * | state
char * | nonce
char * | redirect_uri
char * | redirect_to
char * | client_id
char * | client_secret
char * | username
char * | user_password
struct _u_map | additional_parameters
struct _u_map | additional_response
char * | authorization_endpoint
char * | token_endpoint
char * | openid_config_endpoint
char * | userinfo_endpoint
char * | revocation_endpoint
char * | introspection_endpoint
char * | end_session_endpoint
char * | check_session_iframe
char * | device_authorization_endpoint
char * | registration_endpoint
char * | pushed_authorization_request_endpoint
uint | result
char * | error
char * | error_description
char * | error_uri
char * | code
char * | refresh_token
char * | access_token
json_t * | access_token_payload
char * | token_target
char * | token_target_type_hint
char * | token_type
uint | expires_in
time_t | expires_at
char * | id_token
json_t * | id_token_payload
uint | auth_method
uint | token_method
jwks_t * | server_jwks
char * | server_kid
jwa_alg | server_enc_alg
jwa_enc | server_enc
jwks_t * | client_jwks
char * | client_kid
jwa_alg | client_sign_alg
jwa_alg | client_enc_alg
jwa_enc | client_enc
int | x5u_flags
json_t * | openid_config
int | openid_config_strict
char * | issuer
char * | userinfo
json_t * | j_userinfo
char * | token_jti
uint | token_exp
json_t * | j_authorization_details
char * | device_auth_code
char * | device_auth_user_code
char * | device_auth_verification_uri
char * | device_auth_verification_uri_complete
uint | device_auth_expires_in
uint | device_auth_interval
uint | require_pushed_authorization_requests
uint | pushed_authorization_request_expires_in
char * | pushed_authorization_request_uri
int | use_dpop
char * | dpop_kid
jwa_alg | dpop_sign_alg
int | decrypt_code
int | decrypt_refresh_token
int | decrypt_access_token
char * | key_file
char * | cert_file
int | remote_cert_flag
char * | pkce_code_verifier
int | pkce_method
json_t * | j_claims
char * | resource_indicator
jwa_alg | access_token_signing_alg
jwa_alg | access_token_encryption_alg
jwa_enc | access_token_encryption_enc
jwa_alg | id_token_signing_alg
jwa_alg | id_token_encryption_alg
jwa_enc | id_token_encryption_enc
jwa_alg | userinfo_signing_alg
jwa_alg | userinfo_encryption_alg
jwa_enc | userinfo_encryption_enc
jwa_alg | request_object_signing_alg
jwa_alg | request_object_encryption_alg
jwa_enc | request_object_encryption_enc
jwa_alg | token_endpoint_signing_alg
jwa_alg | token_endpoint_encryption_alg
jwa_enc | token_endpoint_encryption_enc
jwa_alg | ciba_request_signing_alg
jwa_alg | ciba_request_encryption_alg
jwa_enc | ciba_request_encryption_enc
jwa_alg | auth_response_signing_alg
jwa_alg | auth_response_encryption_alg
jwa_enc | auth_response_encryption_enc
char * | ciba_endpoint
uint | ciba_mode
char * | ciba_user_code
char * | ciba_login_hint
uint | ciba_login_hint_format
char * | ciba_login_hint_kid
char * | ciba_binding_message
char * | ciba_client_notification_token
char * | ciba_auth_req_id
char * | ciba_client_notification_endpoint
uint | ciba_auth_req_expires_in
uint | ciba_auth_req_interval
char * | frontchannel_logout_uri
uint | frontchannel_logout_session_required
char * | backchannel_logout_uri
uint | backchannel_logout_session_required
char * | post_logout_redirect_uri
char * | id_token_sid

## Field Documentation

## ◆ response_type

uint _i_session::response_type

## ◆ scope

char* _i_session::scope

## ◆ state

char* _i_session::state

## ◆ nonce

char* _i_session::nonce

## ◆ redirect_uri

char* _i_session::redirect_uri

## ◆ redirect_to

char* _i_session::redirect_to

## ◆ client_id

char* _i_session::client_id

## ◆ client_secret

char* _i_session::client_secret

## ◆ username

char* _i_session::username

## ◆ user_password

char* _i_session::user_password

## ◆ additional_parameters

struct _u_map _i_session::additional_parameters

## ◆ additional_response

struct _u_map _i_session::additional_response

## ◆ authorization_endpoint

char* _i_session::authorization_endpoint

## ◆ token_endpoint

char* _i_session::token_endpoint

## ◆ openid_config_endpoint

char* _i_session::openid_config_endpoint

## ◆ userinfo_endpoint

char* _i_session::userinfo_endpoint

## ◆ revocation_endpoint

char* _i_session::revocation_endpoint

## ◆ introspection_endpoint

char* _i_session::introspection_endpoint

## ◆ end_session_endpoint

char* _i_session::end_session_endpoint

## ◆ check_session_iframe

char* _i_session::check_session_iframe

## ◆ device_authorization_endpoint

char* _i_session::device_authorization_endpoint

## ◆ registration_endpoint

char* _i_session::registration_endpoint

## ◆ pushed_authorization_request_endpoint

char* _i_session::pushed_authorization_request_endpoint

## ◆ result

uint _i_session::result

## ◆ error

char* _i_session::error

## ◆ error_description

char* _i_session::error_description

## ◆ error_uri

char* _i_session::error_uri

## ◆ code

char* _i_session::code

## ◆ refresh_token

char* _i_session::refresh_token

## ◆ access_token

char* _i_session::access_token

## ◆ access_token_payload

json_t* _i_session::access_token_payload

## ◆ token_target

char* _i_session::token_target

## ◆ token_target_type_hint

char* _i_session::token_target_type_hint

## ◆ token_type

char* _i_session::token_type

## ◆ expires_in

uint _i_session::expires_in

## ◆ expires_at

time_t _i_session::expires_at

## ◆ id_token

char* _i_session::id_token

## ◆ id_token_payload

json_t* _i_session::id_token_payload

## ◆ auth_method

uint _i_session::auth_method

## ◆ token_method

uint _i_session::token_method

## ◆ server_jwks

jwks_t* _i_session::server_jwks

## ◆ server_kid

char* _i_session::server_kid

## ◆ server_enc_alg

jwa_alg _i_session::server_enc_alg

## ◆ server_enc

jwa_enc _i_session::server_enc

## ◆ client_jwks

jwks_t* _i_session::client_jwks

## ◆ client_kid

char* _i_session::client_kid

## ◆ client_sign_alg

jwa_alg _i_session::client_sign_alg

## ◆ client_enc_alg

jwa_alg _i_session::client_enc_alg

## ◆ client_enc

jwa_enc _i_session::client_enc

## ◆ x5u_flags

int _i_session::x5u_flags

## ◆ openid_config

json_t* _i_session::openid_config

## ◆ openid_config_strict

int _i_session::openid_config_strict

## ◆ issuer

char* _i_session::issuer

## ◆ userinfo

char* _i_session::userinfo

## ◆ j_userinfo

json_t* _i_session::j_userinfo

## ◆ token_jti

char* _i_session::token_jti

## ◆ token_exp

uint _i_session::token_exp

## ◆ j_authorization_details

json_t* _i_session::j_authorization_details

## ◆ device_auth_code

char* _i_session::device_auth_code

## ◆ device_auth_user_code

char* _i_session::device_auth_user_code

## ◆ device_auth_verification_uri

char* _i_session::device_auth_verification_uri

## ◆ device_auth_verification_uri_complete

char* _i_session::device_auth_verification_uri_complete

## ◆ device_auth_expires_in

uint _i_session::device_auth_expires_in

## ◆ device_auth_interval

uint _i_session::device_auth_interval

## ◆ require_pushed_authorization_requests

uint _i_session::require_pushed_authorization_requests

## ◆ pushed_authorization_request_expires_in

uint _i_session::pushed_authorization_request_expires_in

## ◆ pushed_authorization_request_uri

char* _i_session::pushed_authorization_request_uri

## ◆ use_dpop

int _i_session::use_dpop

## ◆ dpop_kid

char* _i_session::dpop_kid

## ◆ dpop_sign_alg

jwa_alg _i_session::dpop_sign_alg

## ◆ decrypt_code

int _i_session::decrypt_code

## ◆ decrypt_refresh_token

int _i_session::decrypt_refresh_token

## ◆ decrypt_access_token

int _i_session::decrypt_access_token

## ◆ key_file

char* _i_session::key_file

## ◆ cert_file

char* _i_session::cert_file

## ◆ remote_cert_flag

int _i_session::remote_cert_flag

## ◆ pkce_code_verifier

char* _i_session::pkce_code_verifier

## ◆ pkce_method

int _i_session::pkce_method

## ◆ j_claims

json_t* _i_session::j_claims

## ◆ resource_indicator

char* _i_session::resource_indicator

## ◆ access_token_signing_alg

jwa_alg _i_session::access_token_signing_alg

## ◆ access_token_encryption_alg

jwa_alg _i_session::access_token_encryption_alg

## ◆ access_token_encryption_enc

jwa_enc _i_session::access_token_encryption_enc

## ◆ id_token_signing_alg

jwa_alg _i_session::id_token_signing_alg

## ◆ id_token_encryption_alg

jwa_alg _i_session::id_token_encryption_alg

## ◆ id_token_encryption_enc

jwa_enc _i_session::id_token_encryption_enc

## ◆ userinfo_signing_alg

jwa_alg _i_session::userinfo_signing_alg

## ◆ userinfo_encryption_alg

jwa_alg _i_session::userinfo_encryption_alg

## ◆ userinfo_encryption_enc

jwa_enc _i_session::userinfo_encryption_enc

## ◆ request_object_signing_alg

jwa_alg _i_session::request_object_signing_alg

## ◆ request_object_encryption_alg

jwa_alg _i_session::request_object_encryption_alg

## ◆ request_object_encryption_enc

jwa_enc _i_session::request_object_encryption_enc

## ◆ token_endpoint_signing_alg

jwa_alg _i_session::token_endpoint_signing_alg

## ◆ token_endpoint_encryption_alg

jwa_alg _i_session::token_endpoint_encryption_alg

## ◆ token_endpoint_encryption_enc

jwa_enc _i_session::token_endpoint_encryption_enc

## ◆ ciba_request_signing_alg

jwa_alg _i_session::ciba_request_signing_alg

## ◆ ciba_request_encryption_alg

jwa_alg _i_session::ciba_request_encryption_alg

## ◆ ciba_request_encryption_enc

jwa_enc _i_session::ciba_request_encryption_enc

## ◆ auth_response_signing_alg

jwa_alg _i_session::auth_response_signing_alg

## ◆ auth_response_encryption_alg

jwa_alg _i_session::auth_response_encryption_alg

## ◆ auth_response_encryption_enc

jwa_enc _i_session::auth_response_encryption_enc

## ◆ ciba_endpoint

char* _i_session::ciba_endpoint

## ◆ ciba_mode

uint _i_session::ciba_mode

## ◆ ciba_user_code

char* _i_session::ciba_user_code

## ◆ ciba_login_hint

char* _i_session::ciba_login_hint

## ◆ ciba_login_hint_format

uint _i_session::ciba_login_hint_format

## ◆ ciba_login_hint_kid

char* _i_session::ciba_login_hint_kid

## ◆ ciba_binding_message

char* _i_session::ciba_binding_message

## ◆ ciba_client_notification_token

char* _i_session::ciba_client_notification_token

## ◆ ciba_auth_req_id

char* _i_session::ciba_auth_req_id

## ◆ ciba_client_notification_endpoint

char* _i_session::ciba_client_notification_endpoint

## ◆ ciba_auth_req_expires_in

uint _i_session::ciba_auth_req_expires_in

## ◆ ciba_auth_req_interval

uint _i_session::ciba_auth_req_interval

## ◆ frontchannel_logout_uri

char* _i_session::frontchannel_logout_uri

## ◆ frontchannel_logout_session_required

uint _i_session::frontchannel_logout_session_required

## ◆ backchannel_logout_uri

char* _i_session::backchannel_logout_uri

## ◆ backchannel_logout_session_required

uint _i_session::backchannel_logout_session_required

## ◆ post_logout_redirect_uri

char* _i_session::post_logout_redirect_uri

## ◆ id_token_sid

char* _i_session::id_token_sid

The documentation for this struct was generated from the following file:

- include/iddawc.h